Andrea_07
Posts: 2
Joined: Tue Oct 11, 2016 1:44 pm

JavaFX application on Raspberry Pi 3

Tue Oct 11, 2016 1:52 pm

Hi everybody!

I am dealing with the problem, that my JavaFX application does not work on my Raspberry.

The pre-installed version is Java 1.8.0_65.
Online i found out, that with Java 8u33, Oracle canceled the support for JavaFX on ARM devices, which causes my error on start of the application.

How can i install an older version of Java (easily)? When i try to deinstall Java8, it automatically tries to install Java7, except i make a super complicated command (i already found out about that one)...

I already tried to download 8u31 manually and install it, but i failed... (with apt-get install alternative)

Thank you in Advance!!!

Best, Andrea :mrgreen:


Andrea_07
Posts: 2
Joined: Tue Oct 11, 2016 1:44 pm

Re: JavaFX application on Raspberry Pi 3

Wed Oct 12, 2016 9:56 am

Thank you very much!

How could i not manage to find that post? :?: :?: :?:


It works, with limitations (broken layout, not closeable) but well, it works. Thank you!

Return to “Java”